org.eclipse.graphiti.features.impl

## Class AbstractUpdateFeature

- java.lang.Object
- - org.eclipse.graphiti.features.impl.AbstractFeature
  - - org.eclipse.graphiti.features.impl.AbstractUpdateFeature

All Implemented Interfaces:
  IFeature, IFeatureProviderHolder, IUpdateFeature, IUpdate, IDescription, IName

Direct Known Subclasses:
  DefaultUpdateDiagramFeature, UpdateFeatureForPattern, UpdateNoBoFeature

    public abstract class AbstractUpdateFeature
    extends AbstractFeature
    implements IUpdateFeature

The Class AbstractUpdateFeature.

### Constructor Summary

Constructors
Constructor and Description
`AbstractUpdateFeature(IFeatureProvider fp)` Create a new `AbstractUpdateFeature`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canExecute(IContext context)` Decides if the current feature can execute with the given context.
`void` `execute(IContext context)` Executes the current feature with the given context.
`java.lang.String` `getDescription()` Gets the description.
`java.lang.String` `getName()` Gets the name.

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractFeature

`canUndo, getFeatureProvider, hasDoneChanges, isAvailable, manageFont, manageFont, setProgressCallback, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.func.IUpdate

`canUpdate, update, updateNeeded`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canUndo, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Constructor Detail

#### AbstractUpdateFeature

    public AbstractUpdateFeature(IFeatureProvider fp)

Create a new `AbstractUpdateFeature`.

Parameters:
  `fp` - the feature provider

### Method Detail

#### canExecute

    public final boolean canExecute(IContext context)

Description copied from interface: `IFeature`
Decides if the current feature can execute with the given context.

Specified by:
  `canExecute` in interface `IFeature`
Parameters:
  `context` - this is the general input for this method
Returns:
  true if the feature can be executed, false if not
See Also:
  `IContext`

#### execute

    public void execute(IContext context)

Description copied from interface: `IFeature`
Executes the current feature with the given context.

Specified by:
  `execute` in interface `IFeature`
Parameters:
  `context` - this is the general input for this method
See Also:
  `IContext`

#### getName

    public java.lang.String getName()

Description copied from interface: `IName`
Gets the name.

Specified by:
  `getName` in interface `IName`
Overrides:
  `getName` in class `AbstractFeature`
Returns:
  the name

#### getDescription

    public java.lang.String getDescription()

Description copied from interface: `IDescription`
Gets the description.

Specified by:
  `getDescription` in interface `IDescription`
Overrides:
  `getDescription` in class `AbstractFeature`
Returns:
  the description